:root {
    /* Light color scheme*/
    --color-note-background--light: #f0ebde;
    --color-note-border-light: #0f80c2;
    
    /* Dark color scheme */
    --color-note-background--dark: #364a69;
    --color-note-border-dark: #727272;
    
    /* Customized color scheme*/
    --color-note-background--custom: #723737;
    --color-note-border-custom: #6badd2;
}

:root[data-theme="light"] {
    --note-background: var(--color-note-background--light);
    --note-border: var(--color-note-border-light);
}

:root[data-theme="dark"] {
    --note-background: var(--color-note-background--dark);
    --note-border: var(--color-note-border-dark);
}

:root[data-theme="custom"] {
    --note-background: var(--color-note-background--custom);
    --note-border: var(--color-note-border-custom);
}

.main-content {
    flex-direction: column;
    justify-content: start;
    align-items: center;
}

main {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 0 10vw;
}

section.introduction {
    h2 {
        color: var(--primary-color);
    }

    p {
        font-size: 0.75em;
    }
}

section.note-section {
    display: flex;
    flex-direction: column;
    gap: 1em;
    align-items: center;
}

.note-list {
    display: flex;
    justify-content: center;
    flex-wrap: wrap ;
    gap: 10px;
}

.note-item {
    flex-shrink: 0;
    background-color: var(--note-background);
    padding: 0.25em 0.5em;
    border-radius: 4px;
    border: 1px solid var(--note-border);
}

.note-content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 120px;
    min-width: 150px;
    max-width: 290px;

    .note-text {
        display: -webkit-box;
        -webkit-line-clamp: 3;
        line-clamp: 3;
        -webkit-box-orient: vertical;
        overflow: hidden;
        font-size: 0.6em;
        font-weight: 400;
    }

    .note-info {
        display: flex;
        height: fit-content;
        justify-content: space-between;
        gap:20px;
        align-items: center;
    }

    .note-date {
        margin-top: auto;
        font-size: 0.5em;
    }

    .note-author {
        max-width: 50%;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        text-align: end;
        font-size: 0.6em;
    }
}   

.dialog-model {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 999;
    width: 20vw;
    max-width: 50vw;
    height: fit-content;
    min-height: 10vh;
    max-height: 50vh;
    background: var(--secondary-color);
    border-radius: 12px;
    padding: 15px;
    border: 1px solid #eee;
}

.modal-header {
    height: 20%;

    h4 {
        color: var(--primary-color);
    }
}

.modal-body {
    display: flex;
    flex-direction: column;
    
}

.form-group {
    display: flex;
    width: 100%;
    height: fit-content;
    margin-bottom: 15px;
    flex-direction: column;

    >label {
        font-size: 0.6em;
        padding-bottom: 10px;
    }

    >textarea {
        resize: none;
        min-height: 80px;
        padding: 8px;
        border: 1px solid #ccc;
        border-radius: 4px;
    }
    
    >input {
        padding: 8px;
        border: 1px solid #ccc;
        border-radius: 4px;
    }


    >button {
        padding: 8px;
        max-width: fit-content;
        align-self: flex-end;
    }
}
